Package com.xebialabs.xlrelease.serialization.json.repository

## Class InMemoryRepository

- java.lang.Object
- - com.xebialabs.xlrelease.serialization.json.repository.InMemoryRepository

- All Implemented Interfaces:
    `ReadOnlyRepository`, `Repository`

      public class InMemoryRepository
      extends java.lang.Object
      implements Repository

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InMemoryRepository​(java.util.Map<java.lang.String,​ConfigurationItem> cis)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T extends ConfigurationItem> void` | `create​(scala.collection.immutable.Seq<T> entity)` |
    `<T extends ConfigurationItem> void` | `create​(T[] entity)` |
    `<T extends ConfigurationItem> void` | `createOrUpdate​(scala.collection.immutable.Seq<T> entity)` |
    `<T extends ConfigurationItem> void` | `createOrUpdate​(T[] entity)` |
    `void` | `delete​(java.lang.String[] id)` |
    `void` | `delete​(scala.collection.immutable.Seq<java.lang.String> id)` |
    `boolean` | `exists​(java.lang.String id)` |
    `void` | `move​(java.lang.String id, java.lang.String newId)` |
    `<T extends ConfigurationItem> T` | `read​(java.lang.String id)` |
    `<T extends ConfigurationItem> java.util.List<T>` | `read​(java.util.List<java.lang.String> ids, java.lang.Integer depth)` |
    `void` | `rename​(java.lang.String id, java.lang.String newName)` |
    `<T extends ConfigurationItem> scala.runtime.Nothing$` | `search​(Type type)` |
    `<T extends ConfigurationItem> scala.runtime.Nothing$` | `search​(Type type, java.lang.String parent)` |
    `<T extends ConfigurationItem> void` | `update​(scala.collection.immutable.Seq<T> entity)` |
    `<T extends ConfigurationItem> void` | `update​(T[] entity)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMemoryRepository

          public InMemoryRepository​(java.util.Map<java.lang.String,​ConfigurationItem> cis)

  - ### Method Detail

    - #### create

          public <T extends ConfigurationItem> void create​(scala.collection.immutable.Seq<T> entity)

    - #### create

          public <T extends ConfigurationItem> void create​(T[] entity)

      Specified by:
        `create` in interface `Repository`

    - #### createOrUpdate

          public <T extends ConfigurationItem> void createOrUpdate​(scala.collection.immutable.Seq<T> entity)

    - #### createOrUpdate

          public <T extends ConfigurationItem> void createOrUpdate​(T[] entity)

      Specified by:
        `createOrUpdate` in interface `Repository`

    - #### delete

          public void delete​(scala.collection.immutable.Seq<java.lang.String> id)

    - #### delete

          public void delete​(java.lang.String[] id)

      Specified by:
        `delete` in interface `Repository`

    - #### exists

          public boolean exists​(java.lang.String id)

      Specified by:
        `exists` in interface `Repository`

    - #### move

          public void move​(java.lang.String id,
                           java.lang.String newId)

      Specified by:
        `move` in interface `Repository`

    - #### read

          public <T extends ConfigurationItem> T read​(java.lang.String id)

      Specified by:
        `read` in interface `ReadOnlyRepository`
      Specified by:
        `read` in interface `Repository`

    - #### read

          public <T extends ConfigurationItem> java.util.List<T> read​(java.util.List<java.lang.String> ids,
                                                                      java.lang.Integer depth)

      Specified by:
        `read` in interface `Repository`

    - #### rename

          public void rename​(java.lang.String id,
                             java.lang.String newName)

      Specified by:
        `rename` in interface `Repository`

    - #### search

          public <T extends ConfigurationItem> scala.runtime.Nothing$ search​(Type type)

      Specified by:
        `search` in interface `ReadOnlyRepository`
      Specified by:
        `search` in interface `Repository`

    - #### search

          public <T extends ConfigurationItem> scala.runtime.Nothing$ search​(Type type,
                                                                             java.lang.String parent)

      Specified by:
        `search` in interface `ReadOnlyRepository`
      Specified by:
        `search` in interface `Repository`

    - #### update

          public <T extends ConfigurationItem> void update​(scala.collection.immutable.Seq<T> entity)

    - #### update

          public <T extends ConfigurationItem> void update​(T[] entity)

      Specified by:
        `update` in interface `Repository`